"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../service/ayuda.service");
var BitHelpComponent = /** @class */ (function () {
    function BitHelpComponent(ayudaService) {
        var _this = this;
        this.ayudaService = ayudaService;
        this.ayuda = null;
        // cada vez que el servicio emite una nueva ayuda, la mostramos
        ayudaService.mostrar.subscribe(function (ayuda) {
            console.log('Mostrando ayuda', ayuda);
            _this.ayuda = ayuda;
        });
    }
    /** Oculta el modal con los avisos */
    BitHelpComponent.prototype.hideAyuda = function () {
        this.ayuda = null;
    };
    BitHelpComponent = __decorate([
        core_1.Component({
            selector: 'bit-help',
            template: "\n        <div class=\"ventana-ayuda\" *ngIf=\"ayuda\">\n            <div class=\"ayuda-header\">{{ayuda.header}}\n                <span class=\"fa fa-close\" (click)=\"hideAyuda();\"></span>\n            </div>\n            <div class=\"ayuda-body\">\n                <p class=\"ayuda-subtitulo\" [innerHTML]=\"ayuda.title\"></p>\n                <p [innerHTML]=\"ayuda.body\"></p>\n            </div>\n        </div>\n    "
        }),
        __metadata("design:paramtypes", [ayuda_service_1.AyudaService])
    ], BitHelpComponent);
    return BitHelpComponent;
}());
exports.BitHelpComponent = BitHelpComponent;
//# sourceMappingURL=bit-help.component.js.map