"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
 * Componente que muestra miga de pan y toolbar
 */
var BitStoreHeaderComponent = /** @class */ (function () {
    function BitStoreHeaderComponent() {
        this.toolbar = {};
        this.noToolbar = false;
        this.otherActionsDropdown = false; // determina si las "other actions" deben mostrarse en línea o como un desplegable
        this.femenino = false; // género femenino (para los nombres de botones) o no
        this.onToolbarButtonPressed = new core_1.EventEmitter();
    }
    /** Tenemos que capturar el evento y volver a subirlo, por diseño Angular2 no permite enviar un evento de un nieto a su abuelo, solo
     * de hijo a padre
     */
    BitStoreHeaderComponent.prototype.onTBPressed = function (button) {
        this.onToolbarButtonPressed.emit(button);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], BitStoreHeaderComponent.prototype, "toolbar", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitStoreHeaderComponent.prototype, "noToolbar", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitStoreHeaderComponent.prototype, "otherActionsDropdown", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], BitStoreHeaderComponent.prototype, "breadcrumb", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], BitStoreHeaderComponent.prototype, "masacciones", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], BitStoreHeaderComponent.prototype, "colsBreadcrumb", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitStoreHeaderComponent.prototype, "femenino", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitStoreHeaderComponent.prototype, "ayuda", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", Object)
    ], BitStoreHeaderComponent.prototype, "onToolbarButtonPressed", void 0);
    BitStoreHeaderComponent = __decorate([
        core_1.Component({
            selector: "bit-store-header",
            changeDetection: core_1.ChangeDetectionStrategy.OnPush,
            template: "\n    <div class=\"row container\" [class.container-bread-btn-fixed]=\"breadcrumb\" [class.cotainer-bread-btn-lite]=\"!breadcrumb\">\n        <div [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + colsBreadcrumb): (masacciones ? 'col-sm-5' : 'col-sm-7')]\">\n            <!-- ruta de donde nos encontramos (miga de pan) -->\n            <bit-store-breadcrumb *ngIf=\"breadcrumb\" [breadcrumb]=\"breadcrumb\"></bit-store-breadcrumb>\n        </div>\n        <div *ngIf=\"noToolbar === false\"\n            [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + (12-colsBreadcrumb)): (masacciones ? 'col-sm-7' : 'col-sm-5')]\">\n            <!-- botonera de acciones -->    \n            <bit-store-toolbar \n                [toolbar]=\"toolbar\"\n                [femenino]=\"femenino\"\n                [otherActionsDropdown]=\"otherActionsDropdown\"\n                [ayuda]=\"ayuda\"\n                (onToolbarButtonPressed)=\"onTBPressed($event)\"></bit-store-toolbar>\n        </div>\n    </div>\n  "
        })
    ], BitStoreHeaderComponent);
    return BitStoreHeaderComponent;
}());
exports.BitStoreHeaderComponent = BitStoreHeaderComponent;
//# sourceMappingURL=bit-store-header.component.js.map