"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var ConfigListTableViewComponent = /** @class */ (function () {
    function ConfigListTableViewComponent(router, activatedRoute) {
        this.router = router;
        this.activatedRoute = activatedRoute;
    }
    ConfigListTableViewComponent.prototype.gotoForm = function (event) {
        this.router.navigate(['form', event.data.codigo], { relativeTo: this.activatedRoute }); //, {relativeTo: this.activatedRoute}
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], ConfigListTableViewComponent.prototype, "items", void 0);
    ConfigListTableViewComponent = __decorate([
        core_1.Component({
            selector: 'config-list-tableview',
            template: "\n        <p-dataTable [value]=\"items\" (onRowClick)=\"gotoForm($event)\" selectionMode=\"single\" *ngIf=\"(items != null && items.length > 0)\">\n            <p-column field=\"codigo\" header=\"Codi\" [sortable]=\"true\"></p-column>\n            <p-column field=\"valor\" header=\"Valor\" [sortable]=\"true\"></p-column>\n        </p-dataTable> \n     "
        }),
        __metadata("design:paramtypes", [router_1.Router,
            router_1.ActivatedRoute])
    ], ConfigListTableViewComponent);
    return ConfigListTableViewComponent;
}());
exports.ConfigListTableViewComponent = ConfigListTableViewComponent;
//# sourceMappingURL=config-list-tableview.component.js.map