"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/* Other Modules */
var shared_module_1 = require("../shared/shared.module");
/* Providers*/
var developer_service_1 = require("./shared/service/developer.service");
var log_service_1 = require("./shared/service/log.service");
var hql_component_1 = require("./hql/hql.component");
var upload_component_1 = require("./upload/upload.component");
var exception_list_component_1 = require("./exception/exception-list.component");
var exception_list_tableview_component_1 = require("./exception/exception-list-tableview.component");
var exception_list_filter_component_1 = require("./exception/exception-list-filter.component");
var log_list_component_1 = require("./log/log-list.component");
var log_list_nofiltro_component_1 = require("./log/log-list-nofiltro.component");
var log_list_nada_component_1 = require("./log/log-list-nada.component");
var log_list_filter_component_1 = require("./log/log-list-filter.component");
var log_list_tableview_component_1 = require("./log/log-list-tableview.component");
var config_list_component_1 = require("./config/config-list.component");
var config_list_tableview_component_1 = require("./config/config-list-tableview.component");
var config_form_component_1 = require("./config/config-form.component");
var DeveloperLibraryModule = /** @class */ (function () {
    function DeveloperLibraryModule() {
    }
    DeveloperLibraryModule = __decorate([
        core_1.NgModule({
            imports: [shared_module_1.SharedModule],
            declarations: [
                hql_component_1.HQLComponent,
                upload_component_1.UploadComponent,
                exception_list_component_1.ExceptionListComponent,
                exception_list_tableview_component_1.ExceptionListTableViewComponent,
                exception_list_filter_component_1.ExceptionListFilterComponent,
                log_list_component_1.LogListComponent,
                log_list_nofiltro_component_1.LogListNoFiltroComponent,
                log_list_nada_component_1.LogListNadaComponent,
                log_list_filter_component_1.LogListFilterComponent,
                log_list_tableview_component_1.LogListTableViewComponent,
                config_list_component_1.ConfigListComponent,
                config_list_tableview_component_1.ConfigListTableViewComponent,
                config_form_component_1.ConfigFormComponent
            ],
            providers: [developer_service_1.DeveloperService, log_service_1.LogService],
            exports: [
                hql_component_1.HQLComponent,
                upload_component_1.UploadComponent,
                exception_list_component_1.ExceptionListComponent,
                exception_list_tableview_component_1.ExceptionListTableViewComponent,
                exception_list_filter_component_1.ExceptionListFilterComponent,
                log_list_component_1.LogListComponent,
                log_list_nofiltro_component_1.LogListNoFiltroComponent,
                log_list_nada_component_1.LogListNadaComponent,
                log_list_filter_component_1.LogListFilterComponent,
                log_list_tableview_component_1.LogListTableViewComponent,
                config_list_component_1.ConfigListComponent,
                config_list_tableview_component_1.ConfigListTableViewComponent,
                config_form_component_1.ConfigFormComponent
            ]
        })
    ], DeveloperLibraryModule);
    return DeveloperLibraryModule;
}());
exports.DeveloperLibraryModule = DeveloperLibraryModule;
//# sourceMappingURL=developerlibrary.module.js.map