"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_service_1 = require("../../../base/shared/base.service");
var http_utils_service_1 = require("../../../shared/service/http-utils.service");
var message_service_1 = require("../../../shared/service/message.service");
var domain_cached_service_1 = require("../../../shared/service/domain-cached.service");
var session_shared_service_1 = require("../../../shared/service/session-shared.service");
/**
 Servicio que devuelve parámetros de configuración.
 */
var ConfiguracionService = /** @class */ (function (_super) {
    __extends(ConfiguracionService, _super);
    function ConfiguracionService(messageService, http, domainService, sessionShared) {
        var _this = _super.call(this, messageService, http) || this;
        _this.messageService = messageService;
        _this.http = http;
        _this.domainService = domainService;
        _this.sessionShared = sessionShared;
        _this.baseUrl = ConfiguracionService_1.STATIC_URL;
        return _this;
    }
    ConfiguracionService_1 = ConfiguracionService;
    ConfiguracionService.prototype.getAllConfiguracion = function () {
        return this.domainService.getDominio("configuracion");
    };
    var ConfiguracionService_1;
    ConfiguracionService.STATIC_URL = "configuracion";
    ConfiguracionService = ConfiguracionService_1 = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [message_service_1.MessageService,
            http_utils_service_1.HttpUtilsService,
            domain_cached_service_1.DomainCachedService,
            session_shared_service_1.SessionSharedService])
    ], ConfiguracionService);
    return ConfiguracionService;
}(base_service_1.BaseCRUDService));
exports.ConfiguracionService = ConfiguracionService;
//# sourceMappingURL=configuracion.service.js.map