"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var custom_validators_service_1 = require("../service/custom-validators.service");
var focus_service_1 = require("../service/focus.service");
//inputs: ['control: control', 'onField: onField'],
var BitControlMessages = /** @class */ (function () {
    //constructor( @Host() private formDir: FormGroup) { }
    function BitControlMessages(focusService) {
        this.focusService = focusService;
    }
    Object.defineProperty(BitControlMessages.prototype, "errorMessage", {
        get: function () {
            if (this.focusService.getFocusedElement() !== this.field) {
                for (var propertyName in this.control.errors) {
                    // If control has a error
                    if (this.control.errors.hasOwnProperty(propertyName) && this.control.touched) {
                        // Return the appropriate error message from the Validation Service
                        return custom_validators_service_1.CustomValidators.getValidatorErrorMessage(propertyName);
                    }
                }
                return null;
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        core_1.Input(),
        __metadata("design:type", forms_1.FormControl)
    ], BitControlMessages.prototype, "control", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitControlMessages.prototype, "field", void 0);
    BitControlMessages = __decorate([
        core_1.Component({
            selector: 'control-messages',
            template: "<div *ngIf=\"errorMessage !== null\"><span class=\"mensaje-error-input\">{{errorMessage}}</span></div>"
        }),
        __metadata("design:paramtypes", [focus_service_1.FocusService])
    ], BitControlMessages);
    return BitControlMessages;
}());
exports.BitControlMessages = BitControlMessages;
//# sourceMappingURL=bit-control-messages.component.js.map