"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var BitDomainValueComponent = /** @class */ (function () {
    function BitDomainValueComponent() {
        this.translatedValue = "carregant...";
        this.emptyText = "";
    }
    BitDomainValueComponent.prototype.ngOnChanges = function () {
        // cada vez que cambia algo en el input, recalculamos
        this.translatedValue = this.resolveTranslatedValue();
    };
    BitDomainValueComponent.prototype.resolveTranslatedValue = function () {
        var _this = this;
        // buscar traducción para el valor en el dominio
        var domainMatch = this.data && this.data.find(function (obj) { return obj.value == _this.value; });
        if (domainMatch) {
            return domainMatch.label;
        }
        else if (this.value) {
            return String("??" + this.value + "??");
        }
        else {
            return this.emptyText;
        }
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitDomainValueComponent.prototype, "value", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitDomainValueComponent.prototype, "emptyText", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], BitDomainValueComponent.prototype, "data", void 0);
    BitDomainValueComponent = __decorate([
        core_1.Component({
            selector: "bit-domain-value",
            template: "\n    <span>{{ translatedValue }}</span>\n  "
        }),
        __metadata("design:paramtypes", [])
    ], BitDomainValueComponent);
    return BitDomainValueComponent;
}());
exports.BitDomainValueComponent = BitDomainValueComponent;
//# sourceMappingURL=bit-domain-value.component.js.map